package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障所需设备对象 als_fault_equipment_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_fault_equipment_t")
public class FaultEquipment extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 设备编号
     */
    private String equipmentCode;

    /**
     * 设备名称
     */
    private String equipmentName;

    /**
     * 规格型号
     */
    private String modelNumber;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 用途
     */
    private String purpose;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
