package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障操作步骤对象 als_fault_setps_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_fault_setps_t")
public class FaultSetps extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 操作步骤
     */
    private Integer setps;

    /**
     * 操作方法
     */
    private String method;

    /**
     * 图片
     */
    private String image;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
