package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.util.Date;

/**
 * 技术资料对象 als_technical_doc_t
 *
 * @author wgk
 * @date 2024-07-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_technical_doc_t")
public class TechnicalDoc extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 作者
     */
    private String author;

    /**
     * 出版时间
     */
    private Date publicationDate;

    /**
     * 资料类型
     */
    private String type;

    /**
     * 文件Id
     */
    private Long ossId;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
