package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.AirInstall;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 装机信息业务对象 als_air_install_t
 *
 * @author wgk
 * @date 2024-11-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AirInstall.class, reverseConvertGenerate = false)
public class AirInstallBo extends BaseEntity {
    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 构型Id
     */
    private String configId;

    /**
     * 器材编码
     */
    private String devicesEncode;

    /**
     * 器材代码
     */
    private String devicesCode;

    /**
     * 器材名称
     */
    private String devicesName;

    /**
     * 规格型号
     */
    private String specsModel;

    /**
     * 图号
     */
    private String drawingNumber;

    /**
     * 所属分类
     */
    private String category;

    /**
     * 装机数量
     */
    private String quantity;

    /**
     * 装机时间
     */
    private String installTime;

    /**
     * 软件版本
     */
    private String softwareVersion;

    /**
     * 是否可修
     */
    private String repairable;

    /**
     * 是否成套
     */
    private String completeSet;

    /**
     * 是否有寿
     */
    private String serviceLife;

    /**
     * 备注
     */
    private String remarks;


}
