package org.eco.als.domain.bo;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.util.List;

/**
 * 模型信息业务对象 als_model_t
 *
 * @author wgk
 * @date 2024-07-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AlgorithmBo extends BaseEntity {
    /**
     * 模型Id
     */
    @NotNull(message = "模型Id不能为空")
    private Long modelId;

    /**
     * 数据Id
     */
    private Long dataId;

    /**
     * 数据Id
     */
    @NotNull(message = "数据Id不能为空")
    private Long ossId;

    /**
     * 机号Id
     */
    @NotNull(message = "机号Id不能为空")
    private String aircraftId;

    /**
     * 架次号
     */
    @NotBlank(message = "架次号不能为空")
    private String sortieNo;

    /**
     * 参数
     */
    private String param;

    /**
     * 数据列
     */
    @NotNull(message = "数据列不能为空")
    private String[] columnData;

    /**
     * 警告列表
     */
    private Long[] warningIds;

    /**
     * 算法批量任务
     */
    private List<AlgorithmBo> algorithmList;
}
