package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.CarryChecklist;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 任务携行业务对象 als_carry_checklist_t
 *
 * @author wgk
 * @date 2024-07-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CarryChecklist.class, reverseConvertGenerate = false)
public class CarryChecklistBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 机型
     */
    @NotBlank(message = "机型不能为空")
    private String aircraftModel;

    /**
     * 机号Id
     */
    @NotNull(message = "机号不能为空")
    private String aircraftId;

    /**
     * 成品名称
     */
    @NotBlank(message = "成品名称不能为空")
    private String name;

    /**
     * 型号
     */
    @NotBlank(message = "型号不能为空")
    private String model;

    /**
     * 厂家名称
     */
    @NotBlank(message = "厂家名称不能为空")
    private String factory;

    /**
     * 需求数量
     */
    @NotNull(message = "需求数量不能为空")
    private Integer quantity;

    /**
     * 备注
     */
    private String remark;


}
