package org.eco.als.domain.bo;

import org.eco.als.domain.FaultCase;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障案例业务对象 als_fault_case_t
 *
 * @author wgk
 * @date 2024-11-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultCase.class, reverseConvertGenerate = false)
public class FaultCaseBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 飞机编号
     */
    private String aircraftCode;

    /**
     * 机型
     */
    private String aircraftType;

    /**
     * 故障代码
     */
    private String faultCode;

    /**
     * 故障名称
     */
    private String faultName;

    /**
     * 故障文件
     */
    private String ossId;

    /**
     * 日期
     */
    private String faultDate;

    /**
     * 所属系统
     */
    private String systemItem;

    /**
     * 专业
     */
    private String specialty;

    /**
     * 故障部位
     */
    private String location;

    /**
     * 故障性质
     */
    private String level;

    /**
     * 故障现象
     */
    private String symptoms;

    /**
     * 排除方法
     */
    private String methodRectification;

    /**
     * 故障原因分类
     */
    private String faultCauseType;

    /**
     * 故障原因
     */
    private String faultCause;

    /**
     * 备注
     */
    private String remarks;


}
