package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.FaultDiagnosisResult;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障诊断结果业务对象 als_fault_diagnosis_result_t
 *
 * @author wgk
 * @date 2024-07-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultDiagnosisResult.class, reverseConvertGenerate = false)
public class FaultDiagnosisResultBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 故障诊断编号
     */
    @NotNull(message = "故障诊断编号不能为空")
    private Long diagnosisId;

    /**
     * 架次号
     */
    @NotBlank(message = "架次号不能为空")
    private String sortieNo;

    /**
     * 机号Id
     */
    @NotNull(message = "机号不能为空")
    private String aircraftId;

    /**
     * 状态（1正常）
     */
    @NotBlank(message = "状态（1正常）不能为空")
    private String status;


}
