package org.eco.als.domain.bo;

import org.eco.als.domain.FaultEquipment;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障所需设备业务对象 als_fault_equipment_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultEquipment.class, reverseConvertGenerate = false)
public class FaultEquipmentBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 设备编号
     */
    private String equipmentCode;

    /**
     * 设备名称
     */
    private String equipmentName;

    /**
     * 规格型号
     */
    private String modelNumber;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 用途
     */
    private String purpose;

    /**
     * 备注
     */
    private String remarks;


}
