package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.LifePrediction;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 寿命预测业务对象 als_life_prediction_t
 *
 * @author wgk
 * @date 2024-07-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = LifePrediction.class, reverseConvertGenerate = false)
public class LifePredictionBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 机号Id
     */
    @NotNull(message = "机号不能为空")
    private String aircraftId;

    /**
     * 部件名称
     */
    @NotBlank(message = "部件名称不能为空")
    private String name;

    /**
     * 型号
     */
    @NotBlank(message = "型号不能为空")
    private String model;

    /**
     * 所属系统
     */
    private String system;

    /**
     * 处理方式
     */
    private String methodType;

    /**
     * 剩余时长（h）
     */
    private String remainTiem;


}
