package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

import lombok.NoArgsConstructor;

/**
 * 故障案例导入视图对象 als_fault_case_t
 *
 * @author wgk
 * @date 2024-11-14
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class FaultCaseImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 飞机编号
     */
    @ExcelProperty(value = "飞机编号")
    private String aircraftCode;

    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftType;

    /**
     * 故障代码
     */
    @ExcelProperty(value = "故障代码")
    private String faultCode;

    /**
     * 故障名称
     */
    @ExcelProperty(value = "故障名称")
    private String faultName;

    /**
     * 故障文件
     */
    @ExcelProperty(value = "故障文件")
    private String ossId;

    /**
     * 日期
     */
    @ExcelProperty(value = "日期")
    private String faultDate;

    /**
     * 所属系统
     */
    @ExcelProperty(value = "所属系统")
    private String systemItem;

    /**
     * 专业
     */
    @ExcelProperty(value = "专业")
    private String specialty;

    /**
     * 故障部位
     */
    @ExcelProperty(value = "故障部位")
    private String location;

    /**
     * 故障性质
     */
    @ExcelProperty(value = "故障性质")
    private String level;

    /**
     * 故障现象
     */
    @ExcelProperty(value = "故障现象")
    private String symptoms;

    /**
     * 排除方法
     */
    @ExcelProperty(value = "排除方法")
    private String methodRectification;

    /**
     * 故障原因分类
     */
    @ExcelProperty(value = "故障原因分类")
    private String faultCauseType;

    /**
     * 故障原因
     */
    @ExcelProperty(value = "故障原因")
    private String faultCause;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
