package org.eco.als.domain.vo;

import org.eco.als.domain.FaultSpareParts;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import com.eco.common.mapper.constant.MapperConstant;
import com.eco.common.mapper.annotation.FieldMapper;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障所需备件视图对象 als_fault_spare_parts_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultSpareParts.class)
public class FaultSparePartsVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 备件编号
     */
    @ExcelProperty(value = "备件编号")
    private String sparePartsCode;

    /**
     * 备件名称
     */
    @ExcelProperty(value = "备件名称")
    private String sparePartsName;

    /**
     * 规格型号
     */
    @ExcelProperty(value = "规格型号")
    private String modelNumber;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量")
    private Integer quantity;

    /**
     * 用途
     */
    @ExcelProperty(value = "用途")
    private String purpose;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


    /**
     * 创建人名称
     */
    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "createBy")
    private String createByName;

    /**
     * 创建人名称
     */
    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "updateBy")
    private String updateByName;

}
