package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 飞行任务导入视图对象 als_flight_task_t
 *
 * @author wgk
 * @date 2024-07-24
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class FlightTaskImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 架次号
     */
    @ExcelProperty(value = "架次号")
    private Long sortieNo;

    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftModel;

    /**
     * 机号
     */
    @ExcelProperty(value = "机号")
    private String aircraftNo;

    /**
     * 起飞时间
     */
    @ExcelProperty(value = "起飞时间")
    private Date startTime;

    /**
     * 降落时间
     */
    @ExcelProperty(value = "降落时间")
    private String endTime;

    /**
     * 飞行课目
     */
    @ExcelProperty(value = "飞行课目")
    private String trainExercise;

    /**
     * 状态
     */
    @ExcelProperty(value = "状态")
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
