package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 技术资料导入视图对象 als_technical_doc_t
 *
 * @author wgk
 * @date 2024-07-18
 */

@Data
@NoArgsConstructor
public class TechnicalDocImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 名称
     */
    @ExcelProperty(value = "名称")
    private String name;

    /**
     * 作者
     */
    @ExcelProperty(value = "作者")
    private String author;

    /**
     * 出版时间
     */
    @ExcelProperty(value = "出版时间")
    private Date publicationDate;

    /**
     * 资料类型
     */
    @ExcelProperty(value = "资料类型")
    private String type;

    /**
     * 文件Id
     */
    @ExcelProperty(value = "文件Id")
    private Long ossId;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
